---
dataset:
    name: cifar10
    task:
        type: mayo.task.image.Classify
        num_classes: 10
        background_class: {has: false}
        shape:
            height: 32
            width: 32
            channels: 3
        preprocess:
            train:
                - {type: distort_color}
                # - {type: pad, size: 4}
                # - {type: random_crop}
                - {type: random_flip}
        moment:
            mean: [0.4914, 0.4822, 0.4465]
            std: [0.2023, 0.1994, 0.2010]
    path:
        train: cifar10/train.tfrecord
        validate: cifar10/test.tfrecord
    num_examples_per_epoch:
        train: 50000
        validate: 10000
